image: imagenarium/jdk-maven:13

variables:
  DOCKER_DRIVER: overlay2
  DOCKER_HOST: tcp://docker:2375

stages:
  - build

before_script:
  - export COMMIT_DATE=$(git show -s --format=%ct $CI_COMMIT_SHA | date +"%d.%m.%Y_%H_%M")
  - export COMMIT_SHORT=${CI_COMMIT_SHA:0:7}
  - chmod +x *.sh

build:
  stage: build
  services:
    - docker:dind
  except:
    - tags
    - web
  script:
    - mvn $MAVEN_CLI_OPTS deploy -Dmaven.test.skip=true
